import Vue from 'vue'
import Vuex from 'vuex'
import { getGraphElementType, graphElementQuery } from "@/api/editer.js"

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    GraphCategoryIds: ['NTXT'], //系统类型
    TypeIdToGraphElement: {}, //typeid到图例元素的映射
    token: null,
    GraphElement:[]
  },
  mutations: {
    TypeIdToGraphElement(state, data) {
      if (data.length) {
        state.TypeIdToGraphElement = {}
        data.forEach(t => {
          state.TypeIdToGraphElement[t.Id] = t;
        })
      }
    },
    GraphElement(state, data) {
      if (data.length) {
        state.GraphElement = data.map(t => {
          if (t.InfoTypeId && t.InfoTypeId.length){
            return t
          }
        }).filter(item => item)
      }
    },
    SETSSOTOKEN(state, data) {
      state.token = data
    },
  },
  actions: {
    getElementType({ commit }, params) {
      getGraphElementType(params).then(res => {
        commit('TypeIdToGraphElement', res.Content)
      })
    },
    getGraphElement({ commit }, params) {
      graphElementQuery(params).then(res => {
        commit('GraphElement', res.Content)
      })
    },
  },
  getters: {
    token: (state) => state.token,
  },
  modules: {
  }
})
